Package ru.bitel.bgbilling.modules.bill.common.bean

# Class Position

java.lang.Object
ru.bitel.common.model.Id
ru.bitel.bgbilling.modules.bill.common.bean.Position

All Implemented Interfaces:
  `java.io.Serializable`, `Idable`, `ListItem`

    public class Position
    extends Id
    implements ListItem

See Also:
  Serialized Form

- ## Field Summary

  Fields
  Modifier and Type | Field | Description
  --- | --- | ---
  `static java.lang.String` | `KEY_ADD_WHEN_LESS_ZERO` |
  `static java.lang.String` | `KEY_DYNCLASS` |
  `static java.lang.String` | `KEY_EXTRACTOR` |
  `static java.lang.String` | `KEY_IN_SUM` |
  `static java.lang.String` | `KEY_NAME` |
  `static java.lang.String` | `KEY_QTY_NUMS_AFTER_COMMA` |
  `static java.lang.String` | `KEY_QTY_NUMS_ROUNDING_MODE` |
  `static java.lang.String` | `KEY_QUANTITY` |
  `static java.lang.String` | `KEY_SUM` |
  `static java.lang.String` | `KEY_TITLE` |
  `static java.lang.String` | `KEY_UNIT` |
  `static java.lang.String` | `KEY_UNIT_CODE` |

  ### Fields inherited from class ru.bitel.common.model.Id

  `id`

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `Position()` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `java.lang.String` | `getData()` |
  `java.lang.String` | `getDynclass()` |
  `java.lang.String` | `getExtractor()` |
  `java.lang.String` | `getName()` |
  `java.util.Map<java.lang.String,​java.lang.String>` | `getParams()` |
  `java.lang.String` | `getQtyNumsAfterComma()` |
  `java.lang.String` | `getQtyNumsRoundingMode()` |
  `java.lang.String` | `getQuantity()` |
  `java.lang.String` | `getSumm()` |
  `java.lang.String` | `getTitle()` |
  `java.lang.String` | `getUnit()` |
  `java.lang.String` | `getUnitCode()` |
  `void` | `initFromData()` |
  `boolean` | `isAddWhenLessZero()` |
  `boolean` | `isInSum()` |
  `void` | `setAddWhenLessZero​(boolean addWhenLessZero)` |
  `void` | `setData​(java.lang.String data)` |
  `void` | `setDynclass​(java.lang.String dynclass)` |
  `void` | `setExtractor​(java.lang.String extractor)` |
  `void` | `setInSum​(boolean inSum)` |
  `void` | `setName​(java.lang.String name)` |
  `void` | `setParams​(java.util.Map<java.lang.String,​java.lang.String> params)` |
  `void` | `setQtyNumsAfterComma​(java.lang.String qtyNumsAfterComma)` |
  `void` | `setQtyNumsRoundingMode​(java.lang.String qtyNumsRoundingMode)` |
  `void` | `setQuantity​(java.lang.String quantity)` |
  `void` | `setSumm​(java.lang.String sum)` |
  `void` | `setTitle​(java.lang.String title)` |
  `void` | `setUnit​(java.lang.String unit)` |
  `void` | `setUnitCode​(java.lang.String unitCode)` |
  `void` | `toData()` |
  `DocumentPositionSpec` | `toDocumentPositionSpec()` |
  `java.lang.String` | `toString()` |
  `void` | `toXmlElement​(org.w3c.dom.Element pos)` |

  ### Methods inherited from class ru.bitel.common.model.Id

  `copyTo, equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap, setId`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface ru.bitel.common.model.ListItem

  `getId`

- ## Field Details

  - ### KEY_TITLE

    public static final java.lang.String KEY_TITLE
    See Also:
      Constant Field Values

  - ### KEY_NAME

    public static final java.lang.String KEY_NAME
    See Also:
      Constant Field Values

  - ### KEY_SUM

    public static final java.lang.String KEY_SUM
    See Also:
      Constant Field Values

  - ### KEY_UNIT

    public static final java.lang.String KEY_UNIT
    See Also:
      Constant Field Values

  - ### KEY_UNIT_CODE

    public static final java.lang.String KEY_UNIT_CODE
    See Also:
      Constant Field Values

  - ### KEY_EXTRACTOR

    public static final java.lang.String KEY_EXTRACTOR
    See Also:
      Constant Field Values

  - ### KEY_QUANTITY

    public static final java.lang.String KEY_QUANTITY
    See Also:
      Constant Field Values

  - ### KEY_QTY_NUMS_AFTER_COMMA

    public static final java.lang.String KEY_QTY_NUMS_AFTER_COMMA
    See Also:
      Constant Field Values

  - ### KEY_QTY_NUMS_ROUNDING_MODE

    public static final java.lang.String KEY_QTY_NUMS_ROUNDING_MODE
    See Also:
      Constant Field Values

  - ### KEY_IN_SUM

    public static final java.lang.String KEY_IN_SUM
    See Also:
      Constant Field Values

  - ### KEY_ADD_WHEN_LESS_ZERO

    public static final java.lang.String KEY_ADD_WHEN_LESS_ZERO
    See Also:
      Constant Field Values

  - ### KEY_DYNCLASS

    public static final java.lang.String KEY_DYNCLASS
    See Also:
      Constant Field Values

- ## Constructor Details

  - ### Position

    public Position()

- ## Method Details

  - ### getSumm

    public java.lang.String getSumm()

  - ### setSumm

    public void setSumm​(java.lang.String sum)

  - ### getName

    public java.lang.String getName()

  - ### setName

    public void setName​(java.lang.String name)

  - ### getTitle

    public java.lang.String getTitle()
    Specified by:
      `getTitle` in interface `ListItem`

  - ### setTitle

    public void setTitle​(java.lang.String title)

  - ### isInSum

    public boolean isInSum()

  - ### setInSum

    public void setInSum​(boolean inSum)

  - ### isAddWhenLessZero

    public boolean isAddWhenLessZero()

  - ### setAddWhenLessZero

    public void setAddWhenLessZero​(boolean addWhenLessZero)

  - ### getUnit

    public java.lang.String getUnit()

  - ### setUnit

    public void setUnit​(java.lang.String unit)

  - ### getUnitCode

    public java.lang.String getUnitCode()

  - ### setUnitCode

    public void setUnitCode​(java.lang.String unitCode)

  - ### getExtractor

    public java.lang.String getExtractor()

  - ### setExtractor

    public void setExtractor​(java.lang.String extractor)

  - ### getQuantity

    public java.lang.String getQuantity()

  - ### setQuantity

    public void setQuantity​(java.lang.String quantity)

  - ### getQtyNumsAfterComma

    public java.lang.String getQtyNumsAfterComma()

  - ### setQtyNumsAfterComma

    public void setQtyNumsAfterComma​(java.lang.String qtyNumsAfterComma)

  - ### getQtyNumsRoundingMode

    public java.lang.String getQtyNumsRoundingMode()

  - ### setQtyNumsRoundingMode

    public void setQtyNumsRoundingMode​(java.lang.String qtyNumsRoundingMode)

  - ### getParams

    public java.util.Map<java.lang.String,​java.lang.String> getParams()

  - ### setParams

    public void setParams​(java.util.Map<java.lang.String,​java.lang.String> params)

  - ### getData

    public java.lang.String getData()

  - ### setData

    public void setData​(java.lang.String data)

  - ### toDocumentPositionSpec

    public DocumentPositionSpec toDocumentPositionSpec()

  - ### getDynclass

    public java.lang.String getDynclass()

  - ### setDynclass

    public void setDynclass​(java.lang.String dynclass)

  - ### toXmlElement

    public void toXmlElement​(org.w3c.dom.Element pos)

  - ### toString

    public java.lang.String toString()
    Overrides:
      `toString` in class `Id`

  - ### initFromData

    public void initFromData()

  - ### toData

    public void toData()